Package: org.gradle.api

## [Java] Interface Plugin<T>

- A `Plugin` represents an extension to Gradle. A plugin applies some configuration to a target object. Usually, this target object is a Project, but plugins can be applied to any type of objects.

  Parameters:
    `` - The type of object which this plugin can configure.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(T target)` Apply this plugin to the given target object.

- - ### Method Detail

    - #### public void apply(T target)

      Apply this plugin to the given target object.

      Parameters:
        `target` - The target object